# $Revision: 1.32 $, $Date: 2007-05-12 09:28:54 $
# TODO
# - webapps
# - move cgi binary to /usr/lib/changepassword
# - write changepassword.conf for apache redirection + execution
#
# Conditional build:
%bcond_without	samba	# without samba passwords support
%bcond_without	squid	# without squid passwords support
#
Summary:	ChangePassword
Summary(pl.UTF-8):	ChangePassword - modyfikator haseł
Name:		changepassword
Version:	0.9
Release:	2
License:	GPL
Group:		Networking/Admin
Source0:	http://dl.sourceforge.net/changepassword/%{name}-%{version}.tar.gz
# Source0-md5:	7449a80c65db2e37c0aa3bb709926127
Source1:	pldlogo.png
URL:		http://changepassword.sourceforge.net/
Requires:	webserver = apache
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_cgidir		/home/services/httpd/cgi-bin

%description
ChangePassword modifies the passwords of passwd, Samba, and Squid
through the Web. All passwords are syncronized and changed in real
time through browsers like Mozilla, Netscape, IE, Opera, and others.

%description -l pl.UTF-8
ChangePassword modyfikuje hasła dla passwd, Samby i Squida za
pośrednictwem interfejsu WWW. Wszystkie hasła są synchronizowane i
zmieniane w trybie rzeczywistym.

%prep
%setup -q
cp %{SOURCE1} .
tar -xf smbencrypt/libdes-4.04b.tar.gz

%build
%configure \
	--enable-cgidir=%{_cgidir} \
	--enable-language=Polish \
	--enable-logo=pldlogo.png \
	--enable-smbpasswd=/etc/samba/smbpasswd \
	--enable-squidpasswd=/etc/squid/passwd \
%if %{without samba}
	--disable-smbpasswd \
%endif
%if %{without squid}
	--disable-squidpasswd
%endif

%{__make} -C des \
	CC="%{__cc}" \
%ifarch %{ix86}
	DES_INC="asm/dx86-elf.o asm/yx86-elf.o" \
	CFLAG="%{rpmcflags} -DELF"
%else
	CFLAG="%{rpmcflags}"
%endif
install des/libdes.a smbencrypt

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_cgidir}
install -d $RPM_BUILD_ROOT/home/services/httpd/html

install changepassword.cgi $RPM_BUILD_ROOT%{_cgidir}
install %{SOURCE1} $RPM_BUILD_ROOT/home/services/httpd/html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGELOG README TODO
%lang(pt_BR) %doc README.brazilian
%attr(755,root,root) %{_cgidir}/changepassword.cgi
/home/services/httpd/html/pldlogo.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: changepassword.spec,v $
Revision 1.32  2007-05-12 09:28:54  qboosh
- FHS fix in comment

Revision 1.31  2007/05/12 09:09:02  qboosh
- use optflags, asm on x86

Revision 1.30  2007/05/12 01:38:43  lkrotowski
- using macro instead of plain make

Revision 1.29  2007/05/12 01:32:05  lkrotowski
- libdes is compiled from sources instead of using precompiled version for x86

Revision 1.28  2007/03/29 08:06:31  glen
- revert illegal use of sysconfdir macro
- cosmetics

Revision 1.27  2007/03/28 21:44:36  domelu
- rel 2

Revision 1.26  2007/03/28 21:43:00  domelu
- macro

Revision 1.25  2007/03/28 21:41:53  domelu
- proper dir for enable-smbpasswd

Revision 1.24  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.22  2006/11/13 14:53:20  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.21  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.20  2005/11/20 22:21:06  glen
- use virtual webserver provide

Revision 1.19  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.18  2005/01/10 19:30:08  paszczus
- updated to 0.9 (A security fix for a local exploit)

Revision 1.17  2004/10/22 14:04:59  darekr
- updated to 0.8

Revision 1.16  2004/07/27 00:26:59  ankry
- spaces -> tabs

Revision 1.15  2004/07/26 22:12:10  paszczus
- added pldlogo.png
- added bconds (without samba,squid)
- release 4

Revision 1.14  2004/07/26 21:40:17  qboosh
- fixed fix

Revision 1.13  2004/07/26 21:11:37  paszczus
- README.brazilian moved to doc because of not building

Revision 1.12  2004/05/07 15:22:12  domelu
- back to /home/services

Revision 1.11  2004/02/04 15:37:13  averne
- /home/services -> /srv
- rel 2

Revision 1.10  2003/10/28 15:06:47  qboosh
- removed bogus LICENSE (just LGPL - but program is on GPL)
- NOTE: it is broken! contains binary libdes.a without sources!

Revision 1.8  2003/08/05 17:53:37  mick3y
- added TODO

Revision 1.7  2003/07/30 10:00:43  qboosh
- simplified setup, use _cgidir macro in configure

Revision 1.6  2003/07/30 00:24:31  mick3y
- updated to 0.7
- cgi binary moved to /home/services/httpd/cgi-bin/

Revision 1.5  2003/05/26 17:05:56  misi3k
- updated to 0.6-1

Revision 1.4  2003/05/26 16:24:47  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/05 12:03:51  qboosh
- removed evil noarch, removed redundant/wrong Requires, use %configure

Revision 1.1  2003/02/05 11:52:47  qboosh
- mv ChangePassword.spec changepassword.spec to reflect Name

Revision 1.2  2003/02/04 19:56:57  qboosh
- partial cleanups

Revision 1.1  2003/02/01 21:32:42  pbern
- initial release
